import 'quickcapture_platform_interface.dart';

class Quickcapture {
  Quickcapture() {
    QuickcapturePlatform.instance.initialize();
  }

  Future<String?> getPlatformVersion() {
    return QuickcapturePlatform.instance.getPlatformVersion();
  }

  Future<String?> startCapture() {
    return QuickcapturePlatform.instance.startCapture();
  }

  Future<String?> buildTiffForLastCapture() {
    return QuickcapturePlatform.instance.buildTiffForLastCapture();
  }

  Future<String?> buildPDFForLastCapture() {
    return QuickcapturePlatform.instance.buildPDFForLastCapture();
  }

  Future<String?> buildPDF() {
    return QuickcapturePlatform.instance.buildPDF();
  }

  Future<String?> buildTiff() {
    return QuickcapturePlatform.instance.buildTiff();
  }

  Future<String?> compressToJPEG() {
    return QuickcapturePlatform.instance.compressToJPEG();
  }



}
